//
//  AppDelegate.m
//  TopHits
//
//  Created by Craig Hockenberry on 10/31/23.
//

#import "AppDelegate.h"

@interface AppDelegate ()

@property (strong) IBOutlet NSWindow *window;
@end

@implementation AppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	
	[self.window center];
	
	// NOTE: It's the first setNeedsDisplay that triggers the coordinate flip. If you
	// enable the code below and disable the window delegate methods below, the same
	// situation will occur.
	//[self performSelector:@selector(refreshHalfView) withObject:nil afterDelay:1.0];
}


- (void)applicationWillTerminate:(NSNotification *)aNotification {
	// Insert code here to tear down your application
}


- (BOOL)applicationSupportsSecureRestorableState:(NSApplication *)app {
	return YES;
}


#pragma mark - NSWindowDelegate

#if 1
- (void)windowDidBecomeKey:(NSNotification *)notification
{
	[self refreshHalfView];
}

- (void)windowDidResignKey:(NSNotification *)notification
{
	[self refreshHalfView];
}
#endif

#pragma mark - Hacky Redraw

- (void)refreshHalfView
{
	[self.window.contentView.subviews.firstObject setNeedsDisplay:YES];
}

@end
